<!-- goods 商品管理 -->
<template>
  <div>
    <div class="mt10">
    <el-table ref="m_table" size="mini" border :max-height="tableHeight" v-loading="m_tableLoading" @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" :stripe="true" tooltip-effect="dark" :highlight-current-row="true" :data="m_list">
      <el-table-column type="selection" align="center" width="55"></el-table-column>
      <el-table-column prop="name" show-overflow-tooltip align="center" :label="table_label.username"> </el-table-column>
      <el-table-column prop="mobile" show-overflow-tooltip align="center" :label="table_label.phone"> </el-table-column>
      <el-table-column prop="company_info" show-overflow-tooltip align="center" :label="table_label.company.info"> </el-table-column>
      <el-table-column prop="company_no" show-overflow-tooltip align="center" :label="table_label.company.no"> </el-table-column>
      <el-table-column prop="" show-overflow-tooltip align="center" :label="table_label.photo" width="100">
        <template slot-scope="scope">
          <img class="ad_img" v-if="scope.row.approval_photo" :src="scope.row.approval_photo" alt>
        </template>
      </el-table-column>
      <el-table-column prop="" show-overflow-tooltip align="center" :label="table_label.company.photo" width="100">
        <template slot-scope="scope">
          <img class="ad_img" v-if="scope.row.company_picture" :src="scope.row.company_picture" alt>
        </template>
      </el-table-column>

      <el-table-column :label="table_label.action" width="200" align="center">
        <template slot-scope="scope">
          <div v-if="scope.row.status == 0">
            已通过
          </div>
          <div v-else-if="scope.row.status == 1">
            Rejected
          </div>
          <div v-else>
            <el-button class="m_edit" size="small" @click.native='approve(scope.row)' type="text"><span class="m_blue">{{action_label.approve}}</span></el-button>
            <el-button class="m_edit" size="small" @click.native='reject(scope.row)' type="text"><span class="m_red">{{action_label.reject}}</span></el-button>
          </div>
        </template>
      </el-table-column>
    </el-table>
    <Paging class="mt20 mb30" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total" @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>
    </div>

      <el-dialog class="detail" :visible.sync="sellerReject" width="400px" center>
      <div>
        <div v-loading="">
          <el-form label-width="100px" label-position="left">

            <div v-for="(reject,counter) in sellerRejectData"  v-bind:key="counter"> 
              <span > {{counter +1}} </span> <span class="spanb" style="margin-left:10%" @click="deleteReject">  X </span>
              <el-form-item label="皮桑">
                <el-input v-model="sellerRejectData[counter].message" placeholder="照片太模糊" ></el-input>
              </el-form-item>
              <el-form-item label="行动">
                <el-select v-model="sellerRejectData[counter].action"> 
                  <el-option label="照片" value=1>  </el-option>
                  <el-option label="公司编号" value=2>  </el-option>
                  <el-option label="公司资料" value=3>  </el-option>
                  <el-option label="公司照片" value=4>  </el-option>
                </el-select>
              </el-form-item>
            </div> 

          </el-form>
        </div>

      </div>

      <span slot="footer" class="dialog-footer">
        <el-button size="medium" @click="sendSellerReject" type="danger" >拒绝注册</el-button>
        <el-button size="medium" @click="addReject">取消</el-button>
        <el-button size="medium" @click="sellerReject = false">取消</el-button>
      </span>
    </el-dialog>



  </div>
</template>

<script>
export default {
  name: 'index',
  data() {
    return {
      e_id: '',
      search_data: {
        search: '', //上架状态 0: 下架  1:上架
        is_recommend: '',// 是否推荐
        is_new: '',// 是否新品
        ship_free: '',// 是否包邮
        cid: '',// cid
        on_sale: '',// 上架状态 0: 下架  1:上架
      },
      detailDialogVisible: false,
      m_show:false,
      goodsFetchShow:false,
      userInfo: [],
      table_label: {
        action: '操作',
        username: '用户名',
        phone: '电话',
        photo: '图片',
        company: {
          info: '公司名',
          photo: '证件图片',
          no: '企业代号',
        } 
      },
      sellerReject:false,
      action_label: {
        approve: '通过',
        reject: '拒绝',
      },
        sellerRejectData : [
        {
          seller_id:'',
          action:'',
          message:''
        }
      ],
      
    };
  },
  mounted() {
    this.init()
  },

  activated() {
    if (this.$route.query.keep != 1) {
      this.m_resetData()
      this.init()
    } else {

    }
  },
  methods: {

    init() {
      console.log('CHECK CHANGES');
      this.getDatalist()
      this.userInfo = JSON.parse(sessionStorage.userInfo);
      console.log(this.userInfo);
    },

    getDatalist() {
      let data = { ...this.search_data, ...this.m_page }
      this.m_api.seller_approval_list(data).then(res => {
        console.log(res.data.data)
        // res.data.data = res.data.data.map(i => {
        //   i.is_recommend_loading = false
        //   i.is_new_loading = false
        //   i.ship_free_loading = false
        //   i.on_sale_loading = false
        //    i.is_hot_loading = false
        //   return i
        // })
        this.m_list = res.data.data
        this.m_page.total = res.data.total
      })
    },


    delData(id) {
      let m_delId = id ? [id] : this.m_delId
      this.m_loading = true
      this.m_api.goods_delete(m_delId).then(res => {
        this.m_loading = false
        // 删除成功
        this.m_success('删除成功')
        this.getDatalist()
      }).catch(res => {
        this.m_loading = false
      })
    },
    //编辑
    m_edit(row) {
      this.m_isadd = false
      this.e_id = row.id
      this.$nextTick(() => {
        this.m_show = true
      })

    },
    approve(row) {
      this.m_loading = true
      let data = {
        id: row.id,
        status: 0
      }
      this.m_api.seller_give_action(data).then(res => {
        this.m_success('Success approve')
        this.getDatalist()
      }).catch(err=>{
        console.log(err);
      }).finally(fn => {
        this.m_loading = false
      })
    },

    addReject(){
        
        if(this.sellerRejectData.length == 4) { 
          this.m_error('讯息已满')
        }
        else { 
          this.sellerRejectData.push({
            seller_id:this.sellerRejectData[0].seller_id,
            action: '',
            message:''
          })
        }
        

        console.log(this.sellerRejectData)
      },

    deleteReject(counter){
    this.sellerRejectData.splice(counter,1);
    },
    
    reject(row) {
      this.sellerRejectData[0].seller_id = row.id
      this.sellerReject=true
      console.log(row.id)

    },
    sendSellerReject() { 
      let sendData = {
        seller_reject_reason : this.sellerRejectData
      }
       this.m_api.reject_seller(sendData).then(_ => {
        this.m_success('被拒绝')
        
      }).catch(_ => {
       
      })
    },
  },


}
</script>
<style lang='scss' scoped>
.ad_img {
  width: 70px;
  height: 70px;
}
.tip {
  font-size: 19px;
  margin-bottom: 30px;
}
.spanb {
  color: #65c7ff;
  margin-right: 5px;
  cursor: pointer;
}
html{
  background: #2d3a4b !important;
}
.login-container {
  height: 200% !important;
}
</style>
